Bug 1272650 - segmentation fault
segmentation fault
Status: CLOSED CURRENTRELEASE
Product: Virtualization Tools
Classification: Community
Component: virt-viewer (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Daniel Berrange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-17 05:49 EDT by jean-christophe manciot
Modified: 2016-02-23 17:26 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-23 17:26:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jean-christophe manciot 2015-10-17 05:49:16 EDT
Description of problem:
----------------------
sudo gdb ./virt-viewer
(gdb) run
Starting program: /usr/bin/virt-viewer 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

(virt-viewer:16393): GSpice-WARNING **: Warning no automount-inhibiting implementation available
[New Thread 0x7fffceffe700 (LWP 16400)]
[New Thread 0x7fffe06a9700 (LWP 16398)]
[New Thread 0x7fffe0eaa700 (LWP 16397)]

Program received signal SIGSEGV, Segmentation fault.
0x0000000000413290 in virt_viewer_align_monitors_linear ()

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
Last virt-manager Github sources e5a0d1cbb8a4667d549d68e5b6c82dbd9f28b44f
Last virt-viewer Github sources aff6c79ae080db286e4cb853cdfa02f2da0d0398
Libvirt 1.2.20
Libvirt glib 1.0.2
Python libvirt 1.2.19
Qemu 2.4.0

Steps to Reproduce:
------------------
1. virt-manager
2. run a VM
3. virt-viewer

Additional info:
---------------
Ubuntu Server 15.04 3.19.0-30-generic
Comment 1 Pavel Grunt 2015-10-20 02:49:09 EDT
Hi,

please, provide backtrace.

what is the guest? How is it reproducible?
Comment 2 Fabiano Fidêncio 2015-10-21 09:25:32 EDT
Patch sent to the mailing list: http://www.redhat.com/archives/virt-tools-list/2015-October/msg00067.html
Comment 3 jean-christophe manciot 2015-10-23 06:09:01 EDT
The patch has solved the issue.
Comment 4 Pavel Grunt 2016-02-23 17:26:42 EST
Fixed in Virt Viewer 3.0

Note You need to log in before you can comment on or make changes to this bug.